Foreman - Bug #14369

When creating new organization, host selection step won't show, if the user is n context of different
organization.

03/29/2016 04:26 AM - Shimon Shtein

Status: Closed
Priority: Normal
Assignee: Shimon Shtein
Category: Organizations and Locations
Target version: 1.12.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: 1321826 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/3371
Description

Steps to reproduce:

1. Make sure you have a host without organization.

2. Pick an organization for your context (Make sure you have organization name instead of "Any context")

3. Create a new organization

Expected: Redirection to "Step 2" - hosts selector

Actual: Redirection to Edit organization screen.

The problem is in #count_nil_hosts, it uses Host.where(taxonomy_id => nil).count to check for unassigned hosts.

By default this is scoped:

Host .where (taxonomy_id => nil) .to_sqgl
#=> "SELECT \"hosts\".* FROM \"hosts\" WHERE \"hosts\".\"type\" IN ('Host::Managed') AND \"hosts\
" \"location_id\"™ IN (12) AND \"hosts\".\"location_id\" IS NULL"

This query will always return 0.

Related issues:
Related to Foreman - Bug #14252: Creating a new organization redirects to lis... Closed 03/17/2016

Associated revisions

Revision b597a8a5 - 04/12/2016 06:48 AM - Shimon Shtein

Fixes #14369 - Removed default scope from host counter in taxonomies

History

#1 - 03/29/2016 04:27 AM - Shimon Shtein

Related to http://projects.theforeman.org/issues/14252

#2 - 03/29/2016 04:28 AM - Shimon Shtein

- Related to Bug #14252: Creating a new organization redirects to list rather than host assignment and edit properties added

#3 - 03/29/2016 04:45 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/3371 added

#4 - 03/29/2016 04:46 AM - Shimon Shtein
- Bugzilla link set to 1321826
#5 - 04/12/2016 06:49 AM - Ivan Necas

- translation missing: en.field_release set to 136

#6 - 04/12/2016 07:01 AM - Shimon Shtein
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset b597a8a5feale103af2d81b548b319ebdc92aabc.
